using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page 
{
    protected void RadGrid2_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridDataItem)
        {
            GridDataItem item = e.Item as GridDataItem;
            int val1 = Convert.ToInt32(item["Value1"].Text);
            int val2 = Convert.ToInt32(item["Value2"].Text);
            Label total = item["Temp"].FindControl("Label1") as Label;
            total.Text = (val1 + val2).ToString();
        }
    }
}
